Bug 1650005 - Fluentd pod should log its logs to /var/log/fluentd/fluentd.log by default
Summary: Fluentd pod should log its logs to /var/log/fluentd/fluentd.log by default
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Logging
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.1.0
Assignee: Jeff Cantrill
QA Contact: Anping Li
URL:
Whiteboard:
Depends On: 1643340
Blocks: 1643341 1649997
TreeView+ depends on / blocked
 
Reported: 2018-11-15 06:12 UTC by Noriko Hosoi
Modified: 2019-06-04 10:40 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Running "oc logs $fluentd_pod" suggests to run "oc exec <pod_name> /opt/app-root/src/utils/logs" which includes the non existing utility logs path. Consequence: "oc exec <pod_name> /opt/app-root/src/utils/logs" fails with "no such file or directory". Fix: Fixed the suggested command line to "oc exec <pod_name> -- logs" since the utility "logs" is now in the PATH and no need to specify the full path. Result: "oc logs $fluentd_pod" suggests the correct command line to show the fluentd logs.
Clone Of: 1643340
Environment:
Last Closed: 2019-06-04 10:40:51 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:40:59 UTC

Comment 1 Noriko Hosoi 2018-11-15 06:14:59 UTC
https://github.com/openshift/origin-aggregated-logging/pull/1457
Bug 1650005 - Fluentd pod should log its logs to /var/log/fluentd/fluentd.log by default

Comment 2 openshift-github-bot 2018-11-15 18:10:12 UTC
Commit pushed to master at https://github.com/openshift/origin-aggregated-logging

https://github.com/openshift/origin-aggregated-logging/commit/4f9429a8c151a41b459e4e2de6a1581f9e760fea
Merge pull request #1457 from nhosoi/bz1643340

Bug 1650005 - Fluentd pod should log its logs to /var/log/fluentd/flu…

Comment 5 Qiaoling Tang 2019-01-25 08:56:10 UTC
Verified in docker.io/openshift/origin-logging-fluentd@sha256:a171661cfb10f5f307c3b237879d431632c2265e0d3cc5a048f8808c1a695f9c

Comment 8 errata-xmlrpc 2019-06-04 10:40:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.